<html>
    <head>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
        <link href="https://fonts.googleapis.com/css?family=Montserrat:400,500,700,800" rel="stylesheet">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta charset="utf-8">
        <title></title>
        
        <script src="https://www.gstatic.com/firebasejs/6.0.1/firebase.js"></script>

        <script>
            // Your web app's Firebase configuration
            var firebaseConfig = {
                apiKey: "AIzaSyDCfMXYsFn_9DVYNwKmuKxASbBb7KIimgA",
                authDomain: "theflyingmangobutterflies.firebaseapp.com",
                databaseURL: "https://theflyingmangobutterflies.firebaseio.com",
                projectId: "theflyingmangobutterflies",
                storageBucket: "theflyingmangobutterflies.appspot.com",
                messagingSenderId: "917586757603",
                appId: "1:917586757603:web:d7032957a5a827e1"
            };
            // Initialize Firebase
            firebase.initializeApp(firebaseConfig);
        </script>

        <style>
            #nav-text {
                position: absolute;
                height: 30px;
                width: 100px;
                color: #000;
                font-family: Montserrat;
                font-size: 25px;
                font-weight: 700;
                line-height: 30px;
                text-align: center;
                margin-left: 142px;
                margin-top:40px;
            }
            #correct_movie_name {
                text-align: center;
            }
            #tmp3 {
                display: flex;
                align-items: center;
                flex-direction: column;
            }
            #price {
                height: 18px;
                width: 74px;
                color: #000;
                font-family: "SF Pro Display";
                font-size: 15px;
                letter-spacing: 0.68px;
                line-height: 18px;
            }
            #correct_movie_name {
                height: 21px;
                width: 123px;
                color: #000;
                font-family: "SF Pro Display";
                font-size: 18px;
                font-weight: 700;
                letter-spacing: 0.82px;
                line-height: 21px;
            }
            #tmp2 {
                margin-top: 32px;
                display: flex;
                justify-content: center;
            }
            
            /* #input {
                box-sizing: border-box;
                height: 39px;
                width: 257px;
                border-radius: 10px;
                border: 3px solid #C8C8C8;
                font-size: 20px;
                outline: none !important;
            } */
            body{
                height: 100vh;
                width: 100vw;
                margin: 0;
            }
            #tmp {
                display: flex;
                justify-content: center;
            }
            #nav-bar {
                height: 104px;
                width: 375px;
                border-bottom-left-radius: 20px;
                border-bottom-right-radius: 20px;
                background: linear-gradient(40.54deg, rgb(248, 165, 69), rgb(252, 102, 56));;
            }
            .fa-close {
                font-size: 30px;
                margin-top: 40px;
                margin-left: 39px;
            }
            #icon-back {
                height: 69px;
                width: 85px;
                background-color: #FFF;
                display: flex;
                align-items: center;
                justify-content: center;
            }
            #mongol-kino {
                height: 21px;
                width: 200px;
                color: #000;
                font-family: 'Montserrat', sans-serif;
                font-size: 21px;
                font-weight: 700;
                letter-spacing: 1.38px;
                line-height: 21px;
                text-align: center;
                margin-top: 21px;
            }
            #img {
                margin-top: 13px;
                /* padding-top: 1px; */
                /* margin-left: 64px; */
                height: 306px;
                width: 203.25px;
                border-radius: 20px;
                background-color: #C8C8C8;
                background-repeat: no-repeat;
                background-size: cover;
            }
            .letter {
                height: 25px;
                width: 25px;
                border-radius: 5px;
                border-color: #FFF;
                background-color: #FFF;
                outline: none !important;
            }
            .word{
                display: flex;
                justify-content: space-between;
                margin-right: 10px;
                margin-left: 10px;
                margin-bottom: 5px;
                
            }
            #input{
                width: 100vw;
                height: 112px;
                border-top-left-radius: 20px;
                border-top-right-radius: 20px;
                background-color: #FF8132;
                display: flex;
                justify-content: center;
                align-items: center;
                margin-top: 14px;
            }
            #filling-letters{
                margin-top: 12px;
                margin-bottom: 12px;
                display: flex;
                flex-wrap: wrap;
                justify-content: center;
            }
            #input-rectangle{
                width: 100vw;
                display: flex;
                justify-content: center;
            }
            #letters{
                display: flex;
                margin-left: 15px;
                margin-right: 15px;
                width: 305px;
                height: 95px;
                flex-direction: column;
                justify-content: space-around;
            }
            #bottom-letter-container{
                display: flex;
                justify-content: space-between;
                flex-wrap: wrap;
            }
            #bottom-rec{
                display: flex;
                width: 100%;
                justify-content: center;
                align-items: center;
                bottom: 13px;
                position: fixed;
            }
            .bottom-letter {
                height: 25px;
                width: 25px;
                margin: 4px;
                border-radius: 5px;
                background-color: #FFF;
                border: 1px solid #FF6538;
            }
            #text-bar{
                display: flex;
                width: 100%;
                justify-content: center;
                flex-wrap: wrap;
            }
            #text{
                height: 50px;
                width: 162px;
                color: #000;
                font-family: Montserrat;
                font-size: 23px;
                font-weight: 700;
                letter-spacing: 1px;
                line-height: 28px;
                text-align: center;
                margin-top: 26.25px;
            }
            #onoo_text {
                height: 50px;
                width: 162px;
                color: #000;
                font-family: Montserrat;
                font-size: 23px;
                font-weight: 700;
                letter-spacing: 1px;
                line-height: 28px;
                text-align: center;
                margin-top: 26.25px;
                margin: 0;
            }
            .hidden {
                opacity: 0;
            }
            #taasan {
                display: flex;
                align-items: center;
                flex-direction: column;
            }
        </style>
    </head>
    <body>
        <div id="nav-bar">
            <div id="nav-text">1 / 20</div>
            <i onclick="X_icon()" class="fa fa-close" aria-hidden="true"></i>
        </div>
        <div id="tmp">
            <div id="img"></div>
        </div>
        <div id="taagaagui">
            <div id="input-rectangle">
                <div id="input">
                    <div id="filling-letters"></div>
                </div>
            </div>
            <div id="bottom-rec">    
                <div id="letters">
                    <div id="bottom-letter-container"></div>
                </div>
            </div>
        </div>
        <div id="taasan" style="visibility: hidden">
            <div id="text">
                    <!-- Байтаг Богд Оноо 100 -->
            </div>
            <div id="onoo_text">
                <!-- onoo +100 -->
            </div>
        </div>
        <script>
            const alphabet = ['А','Б','В','Г','Д','Е','Ё','Ж','З','И','Й','К','Л','М','Н','О','Ө','П','Р','С','Т','У','Ү','Ф','Х','Ц','Ч','Ш','Щ','Ъ','Ы','Ь','Э','Ю','Я','0','1','2','3','4','5','6','7','8','9'];
            var DB = firebase.database();
            var id;
            var storage = firebase.storage();
            var darsan_id = DB.ref(`/Movies/Users/${localStorage.getItem('username')}/tmp2`), darsan_id_val;
            var correctAnswer, correctAnswer_val;           
            var letters= [];    
            var Answer;
            var bottomLetterPos = [];
            var score = 100, tt;
            var bottomLetterContainerEl = document.getElementById('bottom-letter-container');
            darsan_id.once('value', snapshot => {
                darsan_id_val = snapshot.val();
                alert(darsan_id_val);
            }).then(() => {
                id = darsan_id_val.split('_');
                tt = id[1] + 20;
                var correctAnswer = DB.ref(`/Movies/Mon_mv/movie_names/${id[1]}`);
                correctAnswer.once('value', snapshot => {
                    correctAnswer_val = snapshot.val();
                    zuv_hariult = snapshot.val();
                    console.log(zuv_hariult);
                    var length = correctAnswer_val.length;
                    var words = correctAnswer_val.split(' ');
                    var temp = "";
                    for(let i = 0; i<words.length; i++) {
                        temp+= words[i]; 
                    } 
                    correctAnswer_val = temp;
                    for(let i = 0; i < words.length; i++){
                        var word = document.createElement('div');
                        for(let j = 0; j < words[i].length; j++) {
                            let letter = document.createElement('button');
                            letter.classList.add('letter');
                            letter.onclick = replace;
                            word.appendChild(letter);
                            letters.push(words[i][j].toUpperCase());
                        }
                        word.classList.add('word');
                        word.style.width = (30 * words[i].length - 5) ;
                        document.getElementById('filling-letters').appendChild(word);
                    }
                    var size = letters.length;
                    for(var i = 0; i < (27 - size); i++) {
                        let j = Math.floor(Math.random() * 45);
                        letters.push(alphabet[j]);
                    }
                    letters = shuffle(letters);
                    for(i = 0; i < 27; i++) {
                        let bottomLetter = document.createElement('button');
                        bottomLetter.setAttribute("data", i);
                        bottomLetter.classList.add('bottom-letter');
                        bottomLetter.onclick = place;
                        bottomLetter.innerText = letters[i];

                        bottomLetterContainerEl.appendChild(bottomLetter);

                        // bottomLetterPos.push( {top : bottomLetter.offsetTop, left : bottomLetter.offsetLeft} );
                    }
                }).then(() => {
                DB.ref(`/Movies/Users/${localStorage.getItem('username')}/quiz_${tt}`).once('value', snapshot => {
                    // alert(snapshot.val());
                    if(snapshot.val() === '1') {
                        // document.getElementById("input").style.backgroundColor = "lightgreen";
                        document.getElementById("img").style.width = 234.13;
                        document.getElementById("img").style.height = 352;
                        document.getElementById("img").style.marginTop = 33;
                        document.getElementById('text').innerHTML =  zuv_hariult;
                        document.getElementById('taagaagui').style.display = "none";
                        document.getElementById('taasan').style.visibility = "visible";
                        DB.ref(`/Movies/Users/${localStorage.getItem('username')}/quiz_${tt}_onoo`).once('value', snapshot => {
                            document.getElementById('onoo_text').innerHTML = `onoo + ${snapshot.val()}`;
                        })
                        // document.getElementById("correct_movie_name").innerHTML = correctAnswer_val;
                        // document.getElementById("price").innerHTML = `onoo +100`;
                    }
                }).then(() => {
                    document.getElementById("nav-text").innerHTML = `${id[1]} / 20`;
                    let storageRef = storage.ref( '/' );
                    storageRef.child(`Movies/mon_mv/${tt}.jpg`).getDownloadURL().then(function(url) {
                        document.getElementById("img").style.backgroundImage = `url('${url}')`;
                    }).catch(function(error) {
                        // Handle any errors
                    });
                }).then( () => {
                    console.log( bottomLetterPos );
                } )
            });
        });
            function shuffle(a) {
                var j, x, i;
                for (i = a.length - 1; i > 0; i--) {
                    j = Math.floor(Math.random() * (i + 1));
                    x = a[i];
                    a[i] = a[j];
                    a[j] = x;
                }
                return a;
            }

            function place() {
                console.log( isFull() );
                if( isFull() ){
                    alert('full!');
                } else {
                    let letterEl = document.getElementsByClassName('letter');
                    for( let i = 0 ; i < letterEl.length ; i++ ){
                        if( letterEl[i].innerText == '' ){
                            letterEl[i].innerText = this.innerText;
                            letterEl[i].setAttribute("data", this.getAttribute("data"));
                            break;
                        }
                    }
                    this.classList.add("hidden");
                    this.setAttribute("disabled", "disabled");
                    
                    if( isFull() ){
                        if(checkAnswer() == 1) {
                            // document.getElementById("input").style.backgroundColor = "lightgreen";
                            document.getElementById("img").style.width = 234.13;
                            document.getElementById("img").style.height = 352;
                            document.getElementById("img").style.marginTop = 33;
                            document.getElementById('taagaagui').style.display = "none";
                            document.getElementById('text').innerHTML = `${zuv_hariult}`;
                            console.log(score);
                            document.getElementById('onoo_text').innerHTML = `onoo + ${score}`;
                            document.getElementById('taasan').removeAttribute("style");
                            // document.getElementById("correct_movie_name").innerHTML = correctAnswer_val;
                            // document.getElementById("price").innerHTML = `onoo +100`;
                            let taasan_id, hediig_taasan = 0;
                            DB.ref(`/Movies/Users/${localStorage.getItem('username')}/hediig_taasan_2`).once('value', snapshot => {
                                hediig_taasan = snapshot.val(); 
                            }).then(() => {
                                DB.ref(`/Movies/Users/${localStorage.getItem('username')}/quiz_${tt}`).set("1");    
                                DB.ref(`/Movies/Users/${localStorage.getItem('username')}/hediig_taasan_2`).set(hediig_taasan + 1);
                                DB.ref(`/Movies/Users/${localStorage.getItem('username')}/quiz_${tt}_onoo`).set(score);
                            });
                            DB.ref(`/Movies/Users/${localStorage.getItem('username')}/onoo_2`).once('value', snapshot =>{
                                console.log(snapshot.val());
                                let score_sum = snapshot.val();
                                score_sum += score;
                                DB.ref(`Movies/Users/${localStorage.getItem('username')}/onoo_2`).set(score_sum);
                            })
                        } else {
                            document.getElementById("input").style.backgroundColor = "red";
                            score-=5;
                        }
                    }
                }   
            }
            function replace() {
                console.log(this.innerText, letters);
                // let container = document.getElementById("p1");
                let container = document.getElementsByClassName('bottom-letter');
                let i = parseInt(this.getAttribute("data"));
                container[i].removeAttribute("disabled");
                container[i].setAttribute("class", "bottom-letter");
                this.innerText = "";
                document.getElementById("input").removeAttribute("style");
            }   

            function isFull(){
                let letterEl = document.getElementsByClassName('letter');
                for( let i = 0 ; i < letterEl.length ; i++ ){
                    if( letterEl[i].innerText == '' ){
                        return false;
                    }
                }
                return true;
            }

            function checkAnswer(){
                let letterEl = document.getElementsByClassName('letter');
                let currAnswer = '';
                for( let i = 0 ; i < letterEl.length ; i++ ){
                    currAnswer += letterEl[i].innerText;
                }
                console.log( currAnswer, correctAnswer_val );
                return currAnswer == correctAnswer_val.toUpperCase();
            }

            function X_icon() {
                window.location.href = "mongol_kino_levels_2.html";
            }
        </script>
    </body>
</html>